#
# Test simple applications
#

import os
import sys
from os.path import abspath, dirname
sys.path.insert(0, dirname(dirname(abspath(__file__)))+os.sep+".."+os.sep+"..")
currdir = dirname(abspath(__file__))+os.sep

import unittest
import pyutilib.th
import pyutilib.subprocess


class Test(pyutilib.th.TestCase):

    def test_app1a(self):
        pyutilib.subprocess.run(sys.executable+" "+currdir+os.sep+"app1a.py "+currdir)
        self.failUnlessFileEqualsBaseline(currdir+"config1.out", currdir+"config1.txt")

    def test_app1b(self):
        pyutilib.subprocess.run(sys.executable+" "+currdir+os.sep+"app1b.py "+currdir)
        self.failUnlessFileEqualsBaseline(currdir+"config1.out", currdir+"config1.txt")

    def test_app2(self):
        pyutilib.subprocess.run(sys.executable+" "+currdir+os.sep+"app2.py "+currdir)
        self.failUnlessFileEqualsBaseline(currdir+"summary.out", currdir+"summary.txt")

    def test_app3(self):
        pyutilib.subprocess.run(sys.executable+" "+currdir+os.sep+"app3.py "+currdir)
        if not os.path.exists(currdir+"app3.log"):
            self.fail("expected log file")

    def test_app4(self):
        pyutilib.subprocess.run(sys.executable+" "+currdir+os.sep+"app4.py "+currdir)
        if not os.path.exists(currdir+"tmp2.ini"):
            self.fail("expected ini file")

if __name__ == "__main__":
   unittest.main()
